# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 2.8

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Remove some rules from gmake that .SUFFIXES does not remove.
SUFFIXES =

.SUFFIXES: .hpux_make_needs_suffix_list

# Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E remove -f

# The program to use to edit the cache.
CMAKE_EDIT_COMMAND = /usr/bin/ccmake

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build

# Include any dependencies generated for this target.
include CMakeFiles/TestThreeDDistortionModel.dir/depend.make

# Include the progress variables for this target.
include CMakeFiles/TestThreeDDistortionModel.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/TestThreeDDistortionModel.dir/flags.make

CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o: CMakeFiles/TestThreeDDistortionModel.dir/flags.make
CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o: ../test/TestThreeDDistortionModel.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build/CMakeFiles $(CMAKE_PROGRESS_1)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o"
	/usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o -c /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/test/TestThreeDDistortionModel.cpp

CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.i"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/test/TestThreeDDistortionModel.cpp > CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.i

CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.s"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/test/TestThreeDDistortionModel.cpp -o CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.s

CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o.requires:
.PHONY : CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o.requires

CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o.provides: CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o.requires
	$(MAKE) -f CMakeFiles/TestThreeDDistortionModel.dir/build.make CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o.provides.build
.PHONY : CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o.provides

CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o.provides.build: CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o

CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o: CMakeFiles/TestThreeDDistortionModel.dir/flags.make
CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o: TestThreeDDistortionModel_automoc.cpp
	$(CMAKE_COMMAND) -E cmake_progress_report /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build/CMakeFiles $(CMAKE_PROGRESS_2)
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Building CXX object CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o"
	/usr/bin/c++   $(CXX_DEFINES) $(CXX_FLAGS) -o CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o -c /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build/TestThreeDDistortionModel_automoc.cpp

CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Preprocessing CXX source to CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.i"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -E /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build/TestThreeDDistortionModel_automoc.cpp > CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.i

CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --green "Compiling CXX source to assembly CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.s"
	/usr/bin/c++  $(CXX_DEFINES) $(CXX_FLAGS) -S /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build/TestThreeDDistortionModel_automoc.cpp -o CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.s

CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o.requires:
.PHONY : CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o.requires

CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o.provides: CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o.requires
	$(MAKE) -f CMakeFiles/TestThreeDDistortionModel.dir/build.make CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o.provides.build
.PHONY : CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o.provides

CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o.provides.build: CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o

# Object files for target TestThreeDDistortionModel
TestThreeDDistortionModel_OBJECTS = \
"CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o" \
"CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o"

# External object files for target TestThreeDDistortionModel
TestThreeDDistortionModel_EXTERNAL_OBJECTS =

tests/TestThreeDDistortionModel: CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o
tests/TestThreeDDistortionModel: CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o
tests/TestThreeDDistortionModel: plugins/libThreeDDistortionModel.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtOpenGL.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtGui.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtTest.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtXml.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtNetwork.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtCore.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtTest.so
tests/TestThreeDDistortionModel: /usr/local/lib/libDoQuBook.so
tests/TestThreeDDistortionModel: /usr/local/lib/libDoQuBookOpenCV.so
tests/TestThreeDDistortionModel: /usr/lib/libglut.so
tests/TestThreeDDistortionModel: /usr/lib/x86_64-linux-gnu/libXmu.so
tests/TestThreeDDistortionModel: /usr/lib/x86_64-linux-gnu/libXi.so
tests/TestThreeDDistortionModel: /usr/local/lib/libDoQuBookOpenCV.so
tests/TestThreeDDistortionModel: /usr/lib/libglut.so
tests/TestThreeDDistortionModel: /usr/lib/x86_64-linux-gnu/libXmu.so
tests/TestThreeDDistortionModel: /usr/lib/x86_64-linux-gnu/libXi.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtOpenGL.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtGui.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtTest.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtXml.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtNetwork.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtCore.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtTest.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtXml.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtNetwork.so
tests/TestThreeDDistortionModel: /usr/local/Trolltech/Qt-4.7.4/lib/libQtCore.so
tests/TestThreeDDistortionModel: CMakeFiles/TestThreeDDistortionModel.dir/build.make
tests/TestThreeDDistortionModel: CMakeFiles/TestThreeDDistortionModel.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color --switch=$(COLOR) --red --bold "Linking CXX executable tests/TestThreeDDistortionModel"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/TestThreeDDistortionModel.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/TestThreeDDistortionModel.dir/build: tests/TestThreeDDistortionModel
.PHONY : CMakeFiles/TestThreeDDistortionModel.dir/build

CMakeFiles/TestThreeDDistortionModel.dir/requires: CMakeFiles/TestThreeDDistortionModel.dir/test/TestThreeDDistortionModel.cpp.o.requires
CMakeFiles/TestThreeDDistortionModel.dir/requires: CMakeFiles/TestThreeDDistortionModel.dir/TestThreeDDistortionModel_automoc.cpp.o.requires
.PHONY : CMakeFiles/TestThreeDDistortionModel.dir/requires

CMakeFiles/TestThreeDDistortionModel.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/TestThreeDDistortionModel.dir/cmake_clean.cmake
.PHONY : CMakeFiles/TestThreeDDistortionModel.dir/clean

CMakeFiles/TestThreeDDistortionModel.dir/depend:
	cd /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build /home/kvcuong/WorkingSpace/doqubookcpp/Plugins/DegradationModels/3DdistortionModel/build/CMakeFiles/TestThreeDDistortionModel.dir/DependInfo.cmake --color=$(COLOR)
.PHONY : CMakeFiles/TestThreeDDistortionModel.dir/depend

